// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import axios from 'axios'
Vue.prototype.$axios = axios
import https from './config.js'
Vue.prototype.$https = https;
import router from './router'

import storage from 'good-storage'
Vue.prototype.$storage = storage
require('swiper/dist/css/swiper.css')
import VueAwesomeSwiper from 'vue-awesome-swiper'
Vue.use(VueAwesomeSwiper)
// 加载页
import loading from './components/loading.vue';
Vue.component('loading', loading)
// 错误页
import errorPage from './components/error-page.vue';
Vue.component('error-page', errorPage)

/* eslint-disable no-new */
new Vue({
	el: '#app',
	router,
	components: {
		App
	},
	template: '<App/>'
})
